Bug 238964 - Deltarpm doesn't deal with multi-lib systems well
Deltarpm doesn't deal with multi-lib systems well
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: deltarpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 04:22 EDT by Jonathan Dieter
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 17:45:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add -a option to specify arch (2.23 KB, patch)
2007-05-04 04:22 EDT, Jonathan Dieter
no flags Details | Diff

  None (edit)
Description Jonathan Dieter 2007-05-04 04:22:00 EDT
Description of problem:
Deltarpm doesn't store the arch of the old package in the drpm file.  When you
try applydeltarpm drpm newrpm, it will fail half of the time on an x86_64 system
where two rpms have been installed with the same name, version and release, but
different arches.

This makes yum-presto barely usable on an x86_64 system.

Version-Release number of selected component (if applicable):
deltarpm-3.4

How reproducible:
Always

Additional info:
Michael Schroeder, the maintainer of deltarpm has sent me a patch that allows
the user to use the "-a" option to specify the arch the drpm is made for.  This
is only a workaround, but he has promised that it will be available in the next
version of deltarpm.
Comment 1 Jonathan Dieter 2007-05-04 04:22:01 EDT
Created attachment 154100 [details]
Patch to add -a option to specify arch
Comment 2 Adam Jackson 2007-05-09 17:45:30 EDT
Patch looks sane to me.  Fixed in 3.4-2, thanks!

Note You need to log in before you can comment on or make changes to this bug.